# Class ControlAdapter

java.lang.Object
org.eclipse.swt.events.ControlAdapter

All Implemented Interfaces:
  `ControlListener`

public abstract class ControlAdapter extends Object implements ControlListener
This adapter class provides default implementations for the methods described by the `ControlListener` interface.

Classes that wish to deal with `ControlEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  - `ControlListener`
  - `ControlEvent`

## Constructor Summary

Constructors
Constructor
Description
`ControlAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`controlMoved(ControlEvent e)`
Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`void`
`controlResized(ControlEvent e)`
Sent when the size (width, height) of a control changes.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ControlAdapter

public ControlAdapter()

## Method Details

### controlMoved

public void controlMoved(ControlEvent e)
Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s). The default behavior is to do nothing.

Specified by:
  `controlMoved` in interface `ControlListener`
Parameters:
  `e` - an event containing information about the move

### controlResized

public void controlResized(ControlEvent e)
Sent when the size (width, height) of a control changes. The default behavior is to do nothing.

Specified by:
  `controlResized` in interface `ControlListener`
Parameters:
  `e` - an event containing information about the resize